View Issue Details

IDProjectCategoryView StatusLast Update
0001851Kali Linux[All Projects] Queued Tool Additionpublic2021-05-18 11:02
ReporterkyREcon Assigned Tosbrun  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2.0 
Summary0001851: Shellter v1.8 - A dynamic Shellcode Injector
DescriptionHi guys,

I would like to propose my tool to be included in your distribution.

Shellter is not just another shellcode injector. It is the first trully dynamic PE infector.
It can be very useful in pentesting engagements where uploading an executable with a specific payload to execute is necessary. AVs block executables created by metasploit or other tools quite often. So this is nice alternative tool for someone to have in his arsenal.
This tool doesn't require any extra dependencies and can be used from WinXP SP3 and above, as well as in Wine (from Shellter v1.7 and above).
There was a specific Wine compatible build for version 1.7, but 1.8 now incorporates both tracing engines. In fact ArchAssault have included the fist Wine compatible build into their repo. Time for updating also for them... ;o)
Steps To ReproduceIf you want to know more then please take a look at the official website.

Many Thanks,
kyREcon

Activities

kyREcon

2014-11-01 13:29

reporter  

Shellter_v1.8.rar (146,042 bytes)

kyREcon

2014-11-01 13:30

reporter   ~0002675

https://www.shellterproject.com/

kyREcon

2015-05-26 15:48

reporter   ~0003318

Shellter has reached v3.0.

muts

2015-05-26 16:12

administrator   ~0003319

Last edited: 2015-05-26 19:38

View 3 revisions

Thanks for the suggestion. We've put it in our que and it will be added shortly.

kyREcon

2015-05-30 15:28

reporter   ~0003345

Updated to Shellter v3.1

sbrun

2015-06-02 08:14

manager   ~0003359

package shellter version 3.1-0kali1 is now available in kali-proposed-updates
(it may take several hours to reach all mirrors).
It will be pushed in kali anly after testing. Please test it and let me know.

kyREcon

2015-06-02 10:05

reporter   ~0003360

The package works fine.

The only issue that I have always noticed is that when I start Shellter from cmdline in Wine it seems that the console window overlaps the Shellter console window.
For example, fonts will always be white (no colours), the console title bar normally diplaying information during tracing won't show etc...

This never happens if someone just starts Shellter by clicking on the program itself.

Other than than, the program works fine. Do you think it is possible to fix the aforementioned issue?

kyREcon

2015-06-02 10:17

reporter  

screenshot.png (153,896 bytes)
screenshot.png (153,896 bytes)

kyREcon

2015-06-02 10:17

reporter   ~0003361

I have uploaded a screenshot.

sbrun

2015-06-02 14:37

manager   ~0003362

Hi
I sent a new version 3.1-0kali2 to fix this issue. The helper-script uses now wineconsole (instead of wine).
Thanks to let me know if it's ok.

kyREcon

2015-06-02 16:13

reporter   ~0003363

The issue is now fixed indeed.

I tested the new package and it looks good to go from my end.

Many thanks!

kyREcon

2015-06-02 16:33

reporter   ~0003364

I noticed another issue with the latest update.

It seems that is ignores command line arguments.

For example: shellter -h should show a help menu.

kyREcon

2015-06-02 16:37

reporter   ~0003365

Starting shellter using 'wineconsole shellter.exe -h' works fine basically, but when using the helper-script it seems that the argument is ignored.

sbrun

2015-06-03 09:46

manager   ~0003366

the argument issue is fixed in version 3.1-0kali3

kyREcon

2015-06-03 19:58

reporter   ~0003372

Many thanks.

I will try it as soon as it is available through the proposed-updates repository.

kyREcon

2015-06-05 18:11

reporter   ~0003378

Hi,

I have confirmed that the argument issue is fixed in version 3.1-0kali3

Many thanks!

kyREcon

2015-06-09 15:05

reporter   ~0003394

Hi,

May I ask if you have any dates in mind about adding the package in kali?

Thank you.

sbrun

2015-06-10 14:51

manager   ~0003396

Hi,

the package Shellter is now in kali

kyREcon

2015-07-05 23:29

reporter   ~0003471

Shellter v4.0 has been released.

sbrun

2015-07-13 08:10

manager   ~0003505

Hello,
I will update the package very soon.
We have a tool (uscan) that monitor a webpage and detect the new version (that way you won't have to inform us for each release). But this tool doesn't work on your web pages because of 2 problems:
- the link (href) to download the latest version doesn't contain the version number. We can't compare the value to the version we have in kali.
- the read access to the page https://www.shellterproject.com/download/ is restricted to some user-agent so the tool can't scan it automatically.
Is it possible to change these 2 things?
Thanks

kyREcon

2015-07-19 12:03

reporter   ~0003533

Hi,

I prefer to keep those as they are at the moment.

If this is not a problem for you, it is fine for me to notify you about future updates.

Thank you :)

rhertzog

2015-07-20 06:47

administrator   ~0003534

Hi KyREcon, I can work around the User-Agent restriction (and so can anyone else on the Internet, so why put it in the first-place?) but the fact that we can't identify the latest version automatically (and download the corresponding tarball) is problematic.

If we want to automate the packaging of the last upstream release, we can't do it...

So it would be really nice if you could provide a versioned link for the last upstream release. You don't have to drop the current link pointing to some "latest" URL but it would be nice to have the current release also appear in the list of all past releases.

sbrun

2015-07-20 09:38

manager   ~0003536

the new version 4.0-0kali1 is in sana (next release of kali) and kali-dev.

If you want to discuss further about the uscan issue, you can send a mail to devel@kali.org

Issue History

Date Modified Username Field Change
2014-11-01 13:29 kyREcon New Issue
2014-11-01 13:29 kyREcon File Added: Shellter_v1.8.rar
2014-11-01 13:30 kyREcon Note Added: 0002675
2015-05-26 15:48 kyREcon Note Added: 0003318
2015-05-26 16:12 muts Assigned To => sbrun
2015-05-26 16:12 muts Status new => assigned
2015-05-26 16:12 muts Note Added: 0003319
2015-05-26 16:13 muts View Status private => public
2015-05-26 16:14 muts Note Edited: 0003319 View Revisions
2015-05-26 19:38 muts Note Edited: 0003319 View Revisions
2015-05-30 15:28 kyREcon Note Added: 0003345
2015-06-02 08:14 sbrun Note Added: 0003359
2015-06-02 10:05 kyREcon Note Added: 0003360
2015-06-02 10:17 kyREcon File Added: screenshot.png
2015-06-02 10:17 kyREcon Note Added: 0003361
2015-06-02 14:37 sbrun Note Added: 0003362
2015-06-02 16:13 kyREcon Note Added: 0003363
2015-06-02 16:33 kyREcon Note Added: 0003364
2015-06-02 16:37 kyREcon Note Added: 0003365
2015-06-03 09:46 sbrun Note Added: 0003366
2015-06-03 19:58 kyREcon Note Added: 0003372
2015-06-05 18:11 kyREcon Note Added: 0003378
2015-06-09 15:05 kyREcon Note Added: 0003394
2015-06-10 14:51 sbrun Note Added: 0003396
2015-06-10 14:51 sbrun Status assigned => resolved
2015-06-10 14:51 sbrun Resolution open => fixed
2015-07-05 23:29 kyREcon Note Added: 0003471
2015-07-05 23:29 kyREcon Status resolved => feedback
2015-07-05 23:29 kyREcon Resolution fixed => reopened
2015-07-13 08:10 sbrun Note Added: 0003505
2015-07-19 12:03 kyREcon Note Added: 0003533
2015-07-19 12:03 kyREcon Status feedback => assigned
2015-07-20 06:47 rhertzog Note Added: 0003534
2015-07-20 09:38 sbrun Note Added: 0003536
2015-07-20 09:38 sbrun Status assigned => resolved
2015-07-20 09:38 sbrun Resolution reopened => fixed
2015-07-20 09:38 sbrun Fixed in Version => 2.0
2021-05-18 11:02 g0tmi1k Category New Tool Requests => Queued Tool Addition